> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a page

> Delete a page. The page will be moved to the trash and can be restored.

> **Scope requirements**


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json DELETE /content/api/v2/pages/{page_id}
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages/{page_id}:
    delete:
      tags:
        - Pages
      summary: Delete a page
      description: Delete a page. The page will be moved to the trash and can be restored.
      operationId: deletePage
      parameters:
        - name: page_id
          in: path
          description: The unique identifier for the page
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Successfully deleted
          content:
            application/json:
              examples:
                page_deleted:
                  summary: Page deletion confirmation
                  value: >-
                    Returns 204 No Content letting you know if the deletion was
                    successful

````